Trouble installing 4.3.3 on Linux Ubuntu Server 14.04 LTS and Debian

classic Classic list List threaded Threaded
2 messages Options
Bas Toorenburg Bas Toorenburg
Reply | Threaded
Open this post in threaded view
|

Trouble installing 4.3.3 on Linux Ubuntu Server 14.04 LTS and Debian

I would like to upgrade my current Plone instance to 4.3.3 but I am getting errors.

Error messages when installing Plone 4.3.3 on Linux.
Expected to find uid for plone_daemon and gid for plone_group but did not.
Both plone users (plone_daemon and plone_buildout) exist in the system and are part of the group plone_group.

I am using Plone from version 2.5. At the samen server is already a Plone 4.3.1 zeocluster running.

Thanks Bas


----------------------------------------------------------------------------------------
btoorenburg@wakandaubuntuserver:~/Plone-4.3.3-UnifiedInstaller$ sudo ./install.sh zeo

Testing /usr/bin/python2.7 for Zope/Plone requirements....
/usr/bin/python2.7 looks OK. We'll try to use it.

Root install method chosen. Will install for use by users:
  ZEO & Client Daemons:      plone_daemon
  Code Resources & buildout: plone_buildout

Detailed installation log being written to /home/btoorenburg/Plone-4.3.3-UnifiedInstaller/install.log
Installing Plone 4.3.3 at /usr/local/Plone

Using useradd and groupadd to create users and groups.
'plone_group' already exists; no need to create it.
User 'plone_daemon' already exists. No need to create it.
Adding user plone_daemon to group plone_group.
id for plone_daemon returned
UID=1001(plone_daemon) GID=1001(plone_group) groepen=1001(plone_group)
Expected to find uid for plone_daemon and gid for plone_group but did not.
Please use your system tools to create/edit users and groups, then try again.
btoorenburg@wakandaubuntuserver:~/Plone-4.3.3-UnifiedInstaller$
Steve McMahon Steve McMahon
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing 4.3.3 on Linux Ubuntu Server 14.04 LTS and Debian

Please file a bug ticket on this at dev.plone.org.

It's a silly i18n error. The installer is expecting id to return:

uid=1004(plone_daemon) gid=1004(plone_group) groups=1004(plone_group)
whereas you're getting:
UID=1001(plone_daemon) GID=1001(plone_group) groepen=1001(plone_group)
The group/groepen difference isn't a problem, but the uid/UID difference is throwing it off.
You can work around this by editing helper_scripts/user_group_utilities.sh and editing the regular expression around line 210.


On Sat, May 24, 2014 at 10:33 AM, Bas Toorenburg <[hidden email]> wrote:
I would like to upgrade my current Plone instance to 4.3.3 but I am getting
errors.

Error messages when installing Plone 4.3.3 on Linux.
Expected to find uid for plone_daemon and gid for plone_group but did not.
Both plone users (plone_daemon and plone_buildout) exist in the system and
are part of the group plone_group.

I am using Plone from version 2.5. At the samen server is already a Plone
4.3.1 zeocluster running.

Thanks Bas


----------------------------------------------------------------------------------------
btoorenburg@wakandaubuntuserver:~/Plone-4.3.3-UnifiedInstaller$ sudo
./install.sh zeo

Testing /usr/bin/python2.7 for Zope/Plone requirements....
/usr/bin/python2.7 looks OK. We'll try to use it.

Root install method chosen. Will install for use by users:
  ZEO & Client Daemons:      plone_daemon
  Code Resources & buildout: plone_buildout

Detailed installation log being written to
/home/btoorenburg/Plone-4.3.3-UnifiedInstaller/install.log
Installing Plone 4.3.3 at /usr/local/Plone

Using useradd and groupadd to create users and groups.
'plone_group' already exists; no need to create it.
User 'plone_daemon' already exists. No need to create it.
Adding user plone_daemon to group plone_group.
id for plone_daemon returned
UID=1001(plone_daemon) GID=1001(plone_group) groepen=1001(plone_group)
Expected to find uid for plone_daemon and gid for plone_group but did not.
Please use your system tools to create/edit users and groups, then try
again.
btoorenburg@wakandaubuntuserver:~/Plone-4.3.3-UnifiedInstaller$




--
View this message in context: http://plone.293351.n2.nabble.com/Trouble-installing-4-3-3-on-Linux-Ubuntu-Server-14-04-LTS-and-Debian-tp7571537.html
Sent from the Installation, Setup, Upgrades mailing list archive at Nabble.com.
_______________________________________________
Setup mailing list
[hidden email]
https://lists.plone.org/mailman/listinfo/plone-setup


_______________________________________________
Setup mailing list
[hidden email]
https://lists.plone.org/mailman/listinfo/plone-setup